Search by Registration Number
curl --request GET \
--url https://rest.kyckr.com/core/company/number-search/{countryISO}/{companyNumber} \
--header 'Authorization: <api-key>'import requests
url = "https://rest.kyckr.com/core/company/number-search/{countryISO}/{companyNumber}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://rest.kyckr.com/core/company/number-search/{countryISO}/{companyNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companiesField": [
{
"addressesField": [
{
"addressInOneLineField": "ARC LABS RESEARCH CENTER,WIT WEST CAMPUS WATERFORD 999940"
}
],
"codeField": "436024",
"nameField": "KYCKR IRELAND LIMITED",
"officialField": false
}
],
"transactionIdField": "8305906",
"responseCodeField": 0
}Company Search
Search by Registration Number
Validating a company registration number in a chosen registry. You will need the company registration number and ISO country code of the registry. From this you will be able to determine if the company exist in the chosen registry and if the company number you”ve been provided is valid.
GET
/
core
/
company
/
number-search
/
{countryISO}
/
{companyNumber}
Search by Registration Number
Authorizations
Path Parameters
2-digit ISO country code
Registration number of the company you are searching for
Query Parameters
Registration Authority string from search query
Optional client order reference